Subject: Re: bug#6746: 24.0.50; Add a key binding to get full commit log

From: Juri Linkov <[email-masked]>
Date: Wed, 11 May 2022 19:48:59 +0300

>> This is with vc-git.el. With C-x v L it would nice, if we are able
>> to show the full commit log. Ideally i would expect showing changeset
>> diff to also show me the full commit log.  That implies update 'D' to
>> to show full commit log along with diff. If that doesn't work adding a
>> new key binding would be nice
>
> I'm not sure what's meant by "full commit log", but `C-x v L' in Emacs
> 28 onwards (at least) has:
>
> ---
> A special case is when the prefix argument is 1: in this case
> the command asks for the ID of a revision, and shows that revision
> with its diffs (if the underlying VCS supports that).
> ---
>
> Is this the requested functionality?

I guess what is requested is to be able to customize the log style
to not use shortlog on `C-x v L', and to use full log messages
like is used by `C-x v l' on a file.  But this is already possible by

  (setq vc-log-short-style nil)